package aicg.wipf.akas

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.Kmqp.string
import aicg.wipf.vzuj.bcxo.Fnpc
import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.smartjunkcleaner.R
import com.test.basd.smartjunkcleaner.databinding.BkuldnBinding
import kotlin.random.Random

class Xhuf : Hqlm<BkuldnBinding>() {

    override val binding: BkuldnBinding by lazy {
        if (System.currentTimeMillis() < 8011) {
            println(System.currentTimeMillis())
        }
        BkuldnBinding.inflate(layoutInflater)
    }

    override fun initView() {
        fun ޕބހފތޏޝޓ(ފވއޓހކޕޜ: String) {
            println("tag, $ފވއޓހކޕޜ!")
        }
        ޕބހފތޏޝޓ("ދގހޡތޚފޟ")
        ޥޕފވލޑޏހ()
    }

    private fun ޘޞހޝވމޅޕ() {
        class ޞބޔޥޒޢޖޟ(val ޙޛޝޟޘށޝޡ: String, val ލޒހޜޥލމޤ: Int)
        println(ޞބޔޥޒޢޖޟ("ޙރގފޡޒސގ", 5653))
        ޠޙޏނކލޣހ()
    }

    private fun ޡޜޖޕޔމވޑ() {
        fun ޓޚޅއޑގޜލ() {
            fun ޚޔނހށޥކޣ(ޤނޛޡޏއޤދ: Int) {
                println(ޤނޛޡޏއޤދ)
            }
            ޚޔނހށޥކޣ(6608)
            ޚޔނހށޥކޣ(460)
            ޚޔނހށޥކޣ(5913)
        }
        ޓޚޅއޑގޜލ()
        ޘޞހޝވމޅޕ()
    }

    private fun ޠޙޏނކލޣހ() {
        BarUtils.setStatusBarLightMode(this, true)
        class ސޥކގޤއރޔ<T>(ތވޣޏޏޝފރ: T) {
            init {
                println("ޗޟޝޟޞގޜވ: $ތވޣޏޏޝފރ")
            }
        }
        println(ސޥކގޤއރޔ("ޟގޗރޏފޣދ"))
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        class ޜކޑޞފޛރކ(val ފޝޖޥޖޞޓޠ: String, val ޣއވޞފޔރއ: Int)
        println(ޜކޑޞފޛރކ("ޤޅރޠކއރޒ", 1048))
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.kglyimd.imageAssetsFolder = R.string.ޡޝޝގޥ_D.string()
        binding.kglyimd.setAnimation(R.string.ޠތޟޔފ_D.string())
        abstract class ޕކޟޚޢކށޓ {
            abstract fun ޑޣގޏޝރމޟ()
        }
        class ޟޡޥފޔލޙލ : ޕކޟޚޢކށޓ() {
            override fun ޑޣގޏޝރމޟ() {
                println("ޘޠކއޙސޟޤ")
            }
        }
        val ގޠޡނޚޔދނ = ޟޡޥފޔލޙލ()
        ގޠޡނޚޔދނ.ޑޣގޏޝރމޟ()
        binding.kglyimd.playAnimation()
        SPUtils.getInstance().put(R.string.އޗގއގ_D.string(), true)

        binding.root.postDelayed({
            Fnpc.showInterstitialAd(this) {
                startActivity(Intent(this, Pnov::class.java))
                finish()
            }
        }, Random.nextLong(2500, 4000))

        binding.fpvdwvi.setTrackedOnClickListener {
            startActivity(Intent(this, Pnov::class.java))
            class ޝށނސޝޡޖޗ {
                fun ށޅޡޛޜކވނ() {
                    println("ޢއޖބށނޢޜ")
                }
            }
            ޝށނސޝޡޖޗ().ށޅޡޛޜކވނ()
            finish()
        }
        binding.tlrfjnw.setTrackedOnClickListener {
            Fnpc.showInterstitialAd(this@Xhuf) {
                finishToMain()
            }
        }
    }

    private fun ޥޕފވލޑޏހ() {
        ށޡތރޞއފޕ()
    }

    private fun ށޡތރޞއފޕ() {
        fun String.ހޡޥޞޡބނޏ(): Boolean {
            return this == this.reversed()
        }
        val ޓއޝޢޙޓކލ = "ދޡޑޓޡޑގޞ"
        val ޖބދޚހތޅޗ = ޓއޝޢޙޓކލ.ހޡޥޞޡބނޏ()
        println(ޖބދޚހތޅޗ)
        ޡޜޖޕޔމވޑ()
    }
}